set PYTHONOPTIMIZE=2

pyinstaller   main.pyw   ^
	-n=MarbleMadness   ^
	--add-data="data;data"   ^
	--distpath=".build/bin-win64/"   --workpath=".build/tmp/"   ^
	--icon=data/icon.png   ^
	--exclude-module=tcl   --exclude-module=tcl8   --exclude-module=yaml   ^
	--exclude-module=charset_normalizer   --exclude-module=multiprocessing   ^
	--exclude-module=psutil
:: Can't exclude pickle (needed by numpy)
:: Can't exclude: xml jaraco pickle

echo F|xcopy "CREDITS.md" ".build/bin-win64/MarbleMadness/CREDITS.md" /f /Y
echo F|xcopy "README.md" ".build/bin-win64/MarbleMadness/README.md" /f /Y
